### Function

# GLib SList remove

#### Declaration

    GSList*
    g_slist_remove (
      GSList* list,
      gconstpointer data
    )

#### Description

Removes an element from a `GSList`. If two elements contain the same data, only the first is removed. If none of the elements contain the data, the `GSList` is unchanged.

This function is not directly available to language bindings.

#### Parameters

`list`

  Type: A list of `gpointer`

  A `GSList`.

  The data is owned by the caller of the function.

`data`

  Type: `gconstpointer`

  The data of the element to remove.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: A list of `gpointer`

The new start of the `GSList`.

The data is owned by the called function.